Subject: Re: linux-next: Tree for January 12 (cifs vs. staging)

From: Randy Dunlap <[email-masked]>
Date: Mon, 12 Jan 2009 10:19:10 -0800

Stephen Rothwell wrote:
> Hi all,
> 
> Some people took me at my word and so we have the 2.6.30 code starting to
> trickle in already.

When CIFS is built-in (=y) and staging/rt28[67]0 =y, there are multiple
definitions of:

build-r8250.out:(.text+0x1d8ad0): multiple definition of `MD5Init'
build-r8250.out:(.text+0x1dbb30): multiple definition of `MD5Update'
build-r8250.out:(.text+0x1db9b0): multiple definition of `MD5Final'

all of which need to have more unique identifiers for their global
symbols (e.g., rt28_md5_init, cifs_md5_init, foo, blah, bar).

-- 
~Randy